# Additional Data Model

This model represents additional data that can be sent to the processor, currently only used by Klarna.

Currently the data passed in the Additional Data Model is sent to klarna as EMD (extra merchant data), as of now, we support the passing of the following fields: "other\_delivery\_address" and "trip\_reservation\_details",  the data can be seen also in the Klarna docs here: <https://docs.klarna.com/api/extra-merchant-data/>

### Example

Basic example of "additionalData" object sent in the Transactions/Init request body

```json
"additionalData": {
    "trip_reservation_details": {
        "min_age": 18,
        "max_age": 60
    },
    "other_delivery_address": {
        "shipping_method": "store pick-up",
        "shipping_type": "normal"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sensepass.com/sensepay/transaction-api/models/additional-data-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
